## ros-kinetic-magni-robot 0.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(magni_robot)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-magni-robot (0.4.2-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Sun, 26 Aug 2018 07:00:00 -0000

ros-kinetic-magni-robot (0.4.1-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Sun, 26 Aug 2018 07:00:00 -0000

ros-kinetic-magni-robot (0.4.0-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Sun, 26 Aug 2018 07:00:00 -0000

ros-kinetic-magni-robot (0.3.2-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Wed, 27 Jun 2018 07:00:00 -0000

ros-kinetic-magni-robot (0.3.1-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Tue, 26 Jun 2018 07:00:00 -0000

ros-kinetic-magni-robot (0.3.0-0xenial) xenial; urgency=high

  * Add magni_viz package (#49 <https://github.com/UbiquityRobotics/magni_robot/issues/49>)
    * Add magni_viz
  * Contributors: Jim Vaughan

 -- Rohan Agrawal <send2arohan@gmail.com>  Mon, 25 Jun 2018 07:00:00 -0000

ros-kinetic-magni-robot (0.2.4-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Sat, 23 Dec 2017 08:00:00 -0000

ros-kinetic-magni-robot (0.2.3-0xenial) xenial; urgency=high

  * Only exec_depend to avoid pulling in unnecessary dependencies at build-time   (#46 <https://github.com/UbiquityRobotics/magni_robot/issues/46>)
    * only exec_depend, cleanup package.xmls
  * Contributors: Rohan Agrawal

 -- Rohan Agrawal <send2arohan@gmail.com>  Sat, 23 Dec 2017 08:00:00 -0000

ros-kinetic-magni-robot (0.2.2-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Fri, 22 Dec 2017 08:00:00 -0000

ros-kinetic-magni-robot (0.2.1-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Sat, 28 Oct 2017 07:00:00 -0000

ros-kinetic-magni-robot (0.2.0-0xenial) xenial; urgency=high

  * have exec dep on sub-packages so they are installed
  * Contributors: Rohan Agrawal

 -- Rohan Agrawal <send2arohan@gmail.com>  Sat, 19 Aug 2017 07:00:00 -0000

ros-kinetic-magni-robot (0.1.1-0xenial) xenial; urgency=high



 -- Rohan Agrawal <send2arohan@gmail.com>  Tue, 04 Jul 2017 07:00:00 -0000

ros-kinetic-magni-robot (0.1.0-0xenial) xenial; urgency=high

  * inital release
  * Contributors: Rohan Agrawal

 -- Rohan Agrawal <send2arohan@gmail.com>  Sat, 17 Jun 2017 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-magni-robot
Section: misc
Priority: extra
Maintainer: Rohan Agrawal <send2arohan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-magni-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-magni-bringup, ros-kinetic-magni-demos, ros-kinetic-magni-description, ros-kinetic-magni-nav, ros-kinetic-magni-teleop, ros-kinetic-magni-viz
Description: The magni_robot package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-magni-robot//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
